package be.iminds.ilabt.jfed.experimenter_gui.ext_requests;

import org.slf4j.Logger;
import org.slf4j.LoggerFactory;

import javax.inject.Inject;
import java.util.Map;

/**
 * User: twalcari
 * Date: 6/26/2015
 * Time: 14:42
 */
public class EnvironmentParameterHandler implements ParameterHandler<Void> {
    private static final Logger LOG = LoggerFactory.getLogger(EnvironmentParameterHandler.class);
    private final JFedEnvironment environment;

    @Inject
    public EnvironmentParameterHandler(JFedEnvironment environment) {
        this.environment = environment;
    }


    @Override
    public Void handleParameters(Map<String, String> params) {

        if(params.containsKey(StartupParameters.PARAM_SLICE_DURATION)){
            try {
                environment.setDefaultSliceDuration(Integer.parseInt(params.get(StartupParameters.PARAM_SLICE_DURATION)));
            }catch(NumberFormatException ex){
                LOG.warn("Could not parse given default slice duration '{}'!",
                        params.get(StartupParameters.PARAM_SLICE_DURATION), ex);
            }

        }

        return null;
    }
}
