package be.iminds.ilabt.jfed.experimenter_gui.ext_requests;

import be.iminds.ilabt.jfed.experimenter_gui.events.OpenRequestRspecEvent;
import be.iminds.ilabt.jfed.experimenter_gui.events.RecoverSliceEvent;
import com.google.common.eventbus.EventBus;

import javax.inject.Inject;
import java.util.Map;

/**
 * This class handles the URI's and file open requests that are received.
 */
public class ExternalUserRequestHandler implements ParameterHandler<Void> {

    private final EventBus eventBus;

    @Inject
    public ExternalUserRequestHandler(EventBus eventBus) {
        this.eventBus = eventBus;
    }


    @Override
    public Void handleParameters(Map<String, String> params) {

        if (params.containsKey(StartupParameters.PARAM_RSPEC)) {
            eventBus.post(new OpenRequestRspecEvent(params.get(StartupParameters.PARAM_RSPEC)));
        }

        if(params.containsKey(StartupParameters.PARAM_SLICE_URN)){
            eventBus.post(new RecoverSliceEvent(params.get(StartupParameters.PARAM_SLICE_URN)));
        }

        return null;
    }
}
